classification
Title: Adding T_SIZET to structmember.h
Type: enhancement Stage:
Components: Interpreter Core Versions: Python 3.2
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: dalcinl, mark.dickinson, meador.inge, pitrou
Priority: normal Keywords:

Created on 2009-02-13 15:42 by dalcinl, last changed 2019-04-26 19:06 by BreamoreBoy.

Messages (6)
msg81942 - (view) Author: Lisandro Dalcin (dalcinl) Date: 2009-02-13 15:42
structmember.h lacks a 'T_SIZET' define in order to properly support
struct fields of type 'size_t'  within PyMemberDef.

If this feature request is accepted, I can provide the patches. 

For 2.7, It would be nice to do:

#define T_SIZET      20      /* size_t */

However, this value is already used in 3.0 for 'T_NONE'. Perhaps T_NONE
should be backported to 2.7?

To avoid future merge conflicts, I would vote for this definition:

#define T_SIZET      21      /* size_t */
msg81944 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-02-13 16:06
Do we really want size_t or rather Py_ssize_t?
msg81953 - (view) Author: Lisandro Dalcin (dalcinl) Date: 2009-02-13 17:21
In 2.6 and 3.0, we already have 'Py_ssize_t', see 'T_PYSSIZET'
definition on Include/structmember.h. I'm asking for 'size_t' support.
msg81955 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-02-13 17:55
> In 2.6 and 3.0, we already have 'Py_ssize_t', see 'T_PYSSIZET'
> definition on Include/structmember.h. I'm asking for 'size_t' support.

Oops, sorry for the noise then.
msg81968 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-02-13 19:31
> If this feature request is accepted, I can provide the patches.

Well, that's not how things work:  there isn't really a mechanism for 
'accepting' a feature request.  Even if there were, that wouldn't 
guarantee acceptance of a patch for that feature request.

For what it's worth, I think that there's a good chance that a well-
written patch for this feature request would be accepted:  it seems like a 
potentially useful addition, and I can't immediately see why it would be 
objectionable or controversial, but I haven't looked at the issue very 
closely.  I'd suggest that provided you don't get any negative feedback 
from the python-dev thread or from the comments in this issue in the next 
few days, then it's probably worth working on a patch.

I'd also be happy to review such a patch if/when it's ready.
msg222878 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-12 20:08
msg81942 states "structmember.h lacks a 'T_SIZET' define in order to properly support struct fields of type 'size_t'  within PyMemberDef."  As we have managed without this feature for the last five years do we really need it now?  What do we gain by implementing this?
History
Date User Action Args
2019-04-26 19:06:27BreamoreBoysetnosy: - BreamoreBoy
2014-07-12 20:08:31BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222878
2010-08-09 04:23:45terry.reedysetversions: + Python 3.2, - Python 3.1, Python 2.7
2010-08-03 13:59:48meador.ingesetnosy: + meador.inge
2009-02-13 19:31:57mark.dickinsonsetmessages: + msg81968
2009-02-13 17:55:30pitrousetmessages: + msg81955
2009-02-13 17:21:19dalcinlsetmessages: + msg81953
2009-02-13 16:06:33pitrousetnosy: + pitrou
messages: + msg81944
2009-02-13 15:42:10dalcinlcreate